(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,582,99);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,110,97);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,118,77);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,139,70);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,161,77);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,118,96);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,91,118);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,594,105);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,587,110);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,584,114);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,600,125);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,110,97);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,110,97);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,110,97);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,110,97);


(lib.Symbol5 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();
	this.instance.setTransform(-45.5,-59);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-45.5,-59,91,118);
p.frameBounds = [rect];


(lib.Symbol4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();
	this.instance.setTransform(-59,-48);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-59,-48,118,96);
p.frameBounds = [rect];


(lib.Symbol3 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();
	this.instance.setTransform(-80.5,-38.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-80.5,-38.5,161,77);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();
	this.instance.setTransform(-69.5,-35);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-69.5,-35,139,70);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(-59,-38.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-59,-38.5,118,77);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '32226',
			title: 'Ile pamiątek za posiadane pieniądze kupi każde z dzieci. Umieść odpowiednią liczbę pamiątek koło każdego dziecka.',
			type: 'drag',
			container: this,
			endsound: 'ssBrawa',
			prefix: 'drag_',
			prefix2: 'drop_',	
			groupdrags: {		
				1: ['1', '2', '3', '4', '5', '6', '7', '8'],
				2: ['9', '10', '11', '12', '13', '14',],
				3: ['15', '16', '17', '18', '19', '20', '21',],
				4: ['22', '23', '24', '25', '26',],
				5: ['27', '28', '29', '30', '31', '32'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '1',
				/*drop_3:*/ '1',
				/*drop_4:*/ '1',	
				/*drop_5:*/ '1',	
				/*drop_6:*/ '1',	
				/*drop_7:*/ '1',	
				/*drop_8:*/ '1',	
				/*drop_9:*/ '2',		
				/*drop_10:*/ '2',		
				/*drop_11:*/ '2',		
				/*drop_12:*/ '2',		
				/*drop_13:*/ '2',		
				/*drop_14:*/ '2',		
				/*drop_15:*/ '3',		
				/*drop_16:*/ '3',		
				/*drop_17:*/ '3',		
				/*drop_18:*/ '3',		
				/*drop_19:*/ '3',		
				/*drop_20:*/ '3',		
				/*drop_21:*/ '3',		
				/*drop_22:*/ '4',		
				/*drop_23:*/ '4',		
				/*drop_24:*/ '4',		
				/*drop_25:*/ '4',		
				/*drop_26:*/ '4',		
				/*drop_27:*/ '5',		
				/*drop_28:*/ '5',		
				/*drop_29:*/ '5',		
				/*drop_30:*/ '5',		
				/*drop_31:*/ '5',		
				/*drop_32:*/ '5',		
			],
			range: 100,
			alpha: 0,
			alpha2: 0,
			scale: 0.6,
			rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drag_32 = new lib.Symbol5();
	this.drag_32.setTransform(292,536.7);

	this.drag_31 = new lib.Symbol5();
	this.drag_31.setTransform(292,536.7);

	this.drag_30 = new lib.Symbol5();
	this.drag_30.setTransform(292,536.7);

	this.drag_29 = new lib.Symbol5();
	this.drag_29.setTransform(292,536.7);

	this.drag_28 = new lib.Symbol5();
	this.drag_28.setTransform(292,536.7);

	this.drag_26 = new lib.Symbol4();
	this.drag_26.setTransform(297.6,428.3);

	this.drag_25 = new lib.Symbol4();
	this.drag_25.setTransform(297.6,428.3);

	this.drag_24 = new lib.Symbol4();
	this.drag_24.setTransform(297.6,428.3);

	this.drag_23 = new lib.Symbol4();
	this.drag_23.setTransform(297.6,428.3);

	this.drag_21 = new lib.Symbol3();
	this.drag_21.setTransform(315.5,314);

	this.drag_20 = new lib.Symbol3();
	this.drag_20.setTransform(315.5,314);

	this.drag_19 = new lib.Symbol3();
	this.drag_19.setTransform(315.5,314);

	this.drag_18 = new lib.Symbol3();
	this.drag_18.setTransform(315.5,314);

	this.drag_17 = new lib.Symbol3();
	this.drag_17.setTransform(315.5,314);

	this.drag_16 = new lib.Symbol3();
	this.drag_16.setTransform(315.5,314);

	this.drag_14 = new lib.Symbol2();
	this.drag_14.setTransform(302.7,224.1);

	this.drag_13 = new lib.Symbol2();
	this.drag_13.setTransform(302.7,224.1);

	this.drag_12 = new lib.Symbol2();
	this.drag_12.setTransform(302.7,224.1);

	this.drag_11 = new lib.Symbol2();
	this.drag_11.setTransform(302.7,224.1);

	this.drag_10 = new lib.Symbol2();
	this.drag_10.setTransform(302.7,224.1);

	this.drag_8 = new lib.Symbol1();
	this.drag_8.setTransform(301.2,128.1);

	this.drag_7 = new lib.Symbol1();
	this.drag_7.setTransform(301.2,128.1);

	this.drag_6 = new lib.Symbol1();
	this.drag_6.setTransform(301.2,128.1);

	this.drag_5 = new lib.Symbol1();
	this.drag_5.setTransform(301.2,128.1);

	this.drag_4 = new lib.Symbol1();
	this.drag_4.setTransform(301.2,128.1);

	this.drag_3 = new lib.Symbol1();
	this.drag_3.setTransform(301.2,128.1);

	this.drag_2 = new lib.Symbol1();
	this.drag_2.setTransform(301.2,128.1);

	this.drop_32 = new lib.Symbol5();
	this.drop_32.setTransform(1023,516.7,0.6,0.6);

	this.drop_31 = new lib.Symbol5();
	this.drop_31.setTransform(963,516.7,0.6,0.6);

	this.drop_30 = new lib.Symbol5();
	this.drop_30.setTransform(903,516.7,0.6,0.6);

	this.drop_29 = new lib.Symbol5();
	this.drop_29.setTransform(843,516.7,0.6,0.6);

	this.drop_28 = new lib.Symbol5();
	this.drop_28.setTransform(782,516.7,0.6,0.6);

	this.drop_27 = new lib.Symbol5();
	this.drop_27.setTransform(722,516.7,0.6,0.6);

	this.drop_26 = new lib.Symbol4();
	this.drop_26.setTransform(1047.6,421.3,0.6,0.6);

	this.drop_25 = new lib.Symbol4();
	this.drop_25.setTransform(967.6,421.3,0.6,0.6);

	this.drop_24 = new lib.Symbol4();
	this.drop_24.setTransform(887.6,421.3,0.6,0.6);

	this.drop_23 = new lib.Symbol4();
	this.drop_23.setTransform(807.6,421.3,0.6,0.6);

	this.drop_22 = new lib.Symbol4();
	this.drop_22.setTransform(727.6,421.3,0.6,0.6);

	this.drop_21 = new lib.Symbol3();
	this.drop_21.setTransform(1155.5,322,0.6,0.6);

	this.drop_20 = new lib.Symbol3();
	this.drop_20.setTransform(1085.5,322,0.6,0.6);

	this.drop_19 = new lib.Symbol3();
	this.drop_19.setTransform(1015.5,322,0.6,0.6);

	this.drop_18 = new lib.Symbol3();
	this.drop_18.setTransform(945.5,322,0.6,0.6);

	this.drop_17 = new lib.Symbol3();
	this.drop_17.setTransform(875.5,322,0.6,0.6);

	this.drop_16 = new lib.Symbol3();
	this.drop_16.setTransform(805.5,322,0.6,0.6);

	this.drop_15 = new lib.Symbol3();
	this.drop_15.setTransform(735.5,322,0.6,0.6);

	this.drop_14 = new lib.Symbol2();
	this.drop_14.setTransform(1022.7,221.1,0.6,0.6,-42.5);

	this.drop_13 = new lib.Symbol2();
	this.drop_13.setTransform(962.7,221.1,0.6,0.6,-42.5);

	this.drop_12 = new lib.Symbol2();
	this.drop_12.setTransform(902.7,221.1,0.6,0.6,-42.5);

	this.drop_11 = new lib.Symbol2();
	this.drop_11.setTransform(842.7,221.1,0.6,0.6,-42.5);

	this.drop_10 = new lib.Symbol2();
	this.drop_10.setTransform(782.7,221.1,0.6,0.6,-42.5);

	this.drop_9 = new lib.Symbol2();
	this.drop_9.setTransform(722.7,221.1,0.6,0.6,-42.5);

	this.drop_8 = new lib.Symbol1();
	this.drop_8.setTransform(1142.2,120.1,0.6,0.6);

	this.drop_7 = new lib.Symbol1();
	this.drop_7.setTransform(1082.2,120.1,0.6,0.6);

	this.drop_6 = new lib.Symbol1();
	this.drop_6.setTransform(1022.2,120.1,0.6,0.6);

	this.drop_5 = new lib.Symbol1();
	this.drop_5.setTransform(962.2,120.1,0.6,0.6);

	this.drop_4 = new lib.Symbol1();
	this.drop_4.setTransform(902.2,120.1,0.6,0.6);

	this.drop_3 = new lib.Symbol1();
	this.drop_3.setTransform(842.2,120.1,0.6,0.6);

	this.drop_2 = new lib.Symbol1();
	this.drop_2.setTransform(782.2,120.1,0.6,0.6);

	this.drop_1 = new lib.Symbol1();
	this.drop_1.setTransform(722.2,120.1,0.6,0.6);

	this.drag_27 = new lib.Symbol5();
	this.drag_27.setTransform(292,536.7);

	this.drag_22 = new lib.Symbol4();
	this.drag_22.setTransform(297.6,428.3);

	this.drag_15 = new lib.Symbol3();
	this.drag_15.setTransform(315.5,314);

	this.drag_9 = new lib.Symbol2();
	this.drag_9.setTransform(302.7,224.1);

	this.drag_1 = new lib.Symbol1();
	this.drag_1.setTransform(301.2,128.1);

	this.instance = new lib.Bitmap10();
	this.instance.setTransform(97.4,473.8);

	this.instance_1 = new lib.Bitmap9();
	this.instance_1.setTransform(97.4,372.1);

	this.instance_2 = new lib.Bitmap8();
	this.instance_2.setTransform(97.4,270.5);

	this.instance_3 = new lib.Bitmap7();
	this.instance_3.setTransform(97.4,168.8);

	this.instance_4 = new lib.Bitmap6();
	this.instance_4.setTransform(97.4,67.2);

	this.instance_5 = new lib.Bitmap5();
	this.instance_5.setTransform(471,473.8);

	this.instance_6 = new lib.Bitmap4();
	this.instance_6.setTransform(487.2,372.1);

	this.instance_7 = new lib.Bitmap3();
	this.instance_7.setTransform(483.8,270.5);

	this.instance_8 = new lib.Bitmap2();
	this.instance_8.setTransform(477.1,168.8);

	this.instance_9 = new lib.Bitmap1();
	this.instance_9.setTransform(489,67.2);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_9},{t:this.instance_8},{t:this.instance_7},{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance},{t:this.drag_1},{t:this.drag_9},{t:this.drag_15},{t:this.drag_22},{t:this.drag_27},{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.drop_9},{t:this.drop_10},{t:this.drop_11},{t:this.drop_12},{t:this.drop_13},{t:this.drop_14},{t:this.drop_15},{t:this.drop_16},{t:this.drop_17},{t:this.drop_18},{t:this.drop_19},{t:this.drop_20},{t:this.drop_21},{t:this.drop_22},{t:this.drop_23},{t:this.drop_24},{t:this.drop_25},{t:this.drop_26},{t:this.drop_27},{t:this.drop_28},{t:this.drop_29},{t:this.drop_30},{t:this.drop_31},{t:this.drop_32},{t:this.drag_2},{t:this.drag_3},{t:this.drag_4},{t:this.drag_5},{t:this.drag_6},{t:this.drag_7},{t:this.drag_8},{t:this.drag_10},{t:this.drag_11},{t:this.drag_12},{t:this.drag_13},{t:this.drag_14},{t:this.drag_16},{t:this.drag_17},{t:this.drag_18},{t:this.drag_19},{t:this.drag_20},{t:this.drag_21},{t:this.drag_23},{t:this.drag_24},{t:this.drag_25},{t:this.drag_26},{t:this.drag_28},{t:this.drag_29},{t:this.drag_30},{t:this.drag_31},{t:this.drag_32}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(97.4,67.2,1106.4,531.6);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(737.4,427.2,1106.4,531.6);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;